/* GOOGLE FONTS */
@import url(https://fonts.googleapis.com/css?family=Open+Sans:300);
@import url(https://fonts.googleapis.com/css?family=Open+Sans:400);
@import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic);
@import url(https://fonts.googleapis.com/css?family=Open+Sans:700);
@import url(https://fonts.googleapis.com/css?family=Open+Sans:800);
@import url(https://fonts.googleapis.com/css?family=Oswald);
@import url(https://fonts.googleapis.com/css?family=Lato);
@import url(https://fonts.googleapis.com/css?family=Quicksand);
@import url(https://fonts.googleapis.com/css?family=Roboto+Mono);
@import url(https://fonts.googleapis.com/css?family=Roboto);



html {width: 100%; height: 100%;}
body {border: 0px; font: 12px Roboto; color: #555555; line-height: 18px; width: 100%; height: 100%; min-width: 320px;}
body {text-align: center; font-size: 14px; text-shadow: 0px 1px 1px rgba(0,0,0,0.3); background: #EFEFEF url(../images/rcgbg5.png) no-repeat fixed bottom;}
.btn > i, .dropdown-item > i {margin-left: 2px; margin-right: 6px; color: #db6f04; text-shadow: none;}
.btn.btn-dark > i {color: #f58b1f;}

.btn.btn-warning {
	padding-left: 44px;
	position: relative;
	color: white;
	letter-spacing: 1px;
	font-size: 16px;
	line-height: 24px;
	text-transform: uppercase;
}
.btn.btn-warning > i {
	position: absolute;
	top: 8px;
	left: 5px;
	font-size: 24px;
	text-shadow: none;
	color: black;
}
.btn.btn-danger > i {
	color: white;
}
/*
.btn.btn-warning > div:first-of-type {
	font-size: 11px;
	line-height: 13px;
	text-transform: uppercase;
	text-align: left;
	letter-spacing: 1px;
	color: #fff66a;
	display: none;
}
*/
.btn.icoleft {
	padding-left: 58px;
	position: relative;
	text-align: left;
}
.btn.icoleft > i {
	position: absolute;
	top: 8px;
	left: 10px;
	font-size: 24px;
	text-shadow: none;
	border-right: 1px solid rgba(255,255,255,0.4);
	width: 36px;
	line-height: 30px;
	text-align: left;
}

.dropdown-item {padding: 0.25rem 1rem; cursor: pointer;}
select {cursor: pointer; font-family: Roboto;}
nav {text-shadow: 1px 1px 2px rgba(0,0,0,0.8); font-family: Oswald;}
.navbar {padding: 0px; padding-left: 20px; padding-right: 20px; background: url(../images/rcgbg5.png) left bottom;}
.navbar:after {
	position: absolute;
	content: " ";
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: -1;
	background-color: rgba(30,39,43,0.9);
}
.elioncaption {
	text-align: right;
	display: block;
	color: #ca9129;
	font-size: 12px;
	line-height: 14px;
	text-transform: uppercase;
	letter-spacing: 3px;
	font-family: Oswald;
}


.mono {font-family: "Roboto Mono";}
#divCenterNotice {box-shadow: 1px 1px 1px rgba(0,0,0,0.2), 1px 2px 2px rgba(0,0,0,0.2); text-shadow: 0px 1px 1px rgba(0,0,0,0.4); display: none; z-index: 1000000; position: absolute; left: 50%; top: 50%; margin-left: -150px; margin-top: -20px; border-radius: 4px; background-color: rgba(0,0,0,0.7); color: white; padding-top: 10px; padding-bottom: 10px; width: 300px; padding-left: 4px; padding-right: 4px;}
table.ps-panel-table > tbody > tr > th {font-family: 'Lucida Grande',tahoma,verdana,arial,sans-serif; background-color: rgb(244,244,244); border-bottom: 1px solid rgb(238,238,238); color: rgb(51,51,51); text-shadow: 0px 0px 1px rgba(0,0,0,0.3);}
.divSiteStatus {font-size: 14px; line-height: 20px; margin-top: 6px; width: 100%;}
.divSiteStatus i {line-height: 20px;}
.highlight {background-color: #ffb86f !important;}
#tblSiteList th, #tblSiteList td {text-align: left;}
#tblDeviceHistory th, #tblDeviceHistory td {vertical-align: top;}
#tblDeviceHistory td.pending > span > div > i {
	color: black;
}
#tblDeviceHistory td.pending:hover > span > div > i {
	color: rgb(40,167,69);
}


#tblDeviceHistory {font-size: 13px; line-height: 15px;}
#divHistory {position: absolute; top: 127px; left: 0px; right: 0px; bottom: 0px; overflow-y: scroll;}
#divSearchContent, #divBrowseContent {position: absolute; top: 64px; left: 0px; right: 0px; bottom: 0px;}
#listSearchDevices > .list-group-item > div {margin-left: -6px;}

input {font-size: 14px; width: 156px;}

.list-group {text-align: left;}

.form input:focus, .form textarea:focus{border-color: #f5ac21;}
.form-control:focus {
	border-color: #F5AC21;
	box-shadow: 0 0 0 0.1rem #F5AC21;
}
input[type="checkbox"].form-control:focus {
	box-shadow: none;
}

::-webkit-input-placeholder, ::-moz-placeholder, ::-ms-input-placeholder, ::-ms-input-placeholder, ::placeholder {
	color: #E2E2E2;
}

::-webkit-input-placeholder {color: #D2D2D2 !important;}
::-moz-placeholder {color: #D2D2D2 !important;}
:-ms-input-placeholder {color: #D2D2D2 !important;}
::-ms-input-placeholder {color: #D2D2D2 !important;}

.authnum {font-size: 24px; font-weight: bold;}

.table th, td.thead-light {
	font-family: Oswald;
	text-transform: uppercase;
	font-size: 14px;
}
.table th:not(.thead-light) {
	text-shadow: 1px 1px 1px black;
}
.table.table-sm th, .table.table-sm td.thead-light {
	font-size: 11px;
}

.btn {
	font-family: Oswald;
	text-transform: uppercase;
/* GLASS OVERLAY */
/*	background-image: linear-gradient(to bottom, rgba(255,255,255,0.3), rgba(255,255,255,0.1) 49%, rgba(0,0,0,0.15) 51%, rgba(0,0,0,0.05));*/
	background-image: linear-gradient(to bottom, rgba(255,255,255,0.3), rgba(255,255,255,0.1) 49%, rgba(0,0,0,0.05) 51%, rgba(0,0,0,0.01));
	background-repeat: repeat-x;
}

.sitemodal .btn {margin-bottom: 4px; text-align: left; margin-top: 4px;}
.sitemodal .card {margin-top: 12px;}
.btnSite {
	color: white;
	border-radius: 6px;
	vertical-align: middle;
	cursor: pointer;
	margin-bottom: 5px;
}

.btnSite {
	/*
	padding: 10px;
	color: white;
	border-radius: 6px;
	margin-bottom: 4px;
	margin-left: 4px;
	margin-right: 4px;
	display: table-cell;
	vertical-align: middle;
	cursor: pointer;
	*/
}

.card {
	box-shadow: 0 5px 10px -1.5px rgba(0,0,0,0.2);
}

.btn {
	box-shadow: 1px 1px 2px rgba(0,0,0,0.4);
}
.btn.btn-light {
	box-shadow: 1px 1px 2px rgba(0,0,0,0.1);
}
.btn-warning {
	border-width: 2px;
	background-color: #db6f04;
	border-color: #da7b1c;
}

.btn-warning:hover, .btn-warning:not(:disabled):not(.disabled):active, .btn-warning:not(:disabled):not(.disabled).active, .show > .btn-warning.dropdown-toggle {
	background-color: #f58b1f;
	border-color: #ed861e;
}
.btn-warning.navactive {
	border: 2px solid #f58b1f;
	background-color: #f58b1f;
}
.navactive:before {
	content: "";
	position: absolute;
	bottom: -11px;
	left: 50%;
	margin-left: -10px;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #f58b1f;
}
.btn-warning:not(:disabled):not(.disabled):active, .btn-warning:not(:disabled):not(.disabled).active, .show > .btn-warning.dropdown-toggle {color: white;}

.lastpull {position: absolute; right: 2px; top: -16px; color: rgba(255,255,255,0.5);}
.blacktext {color: black;}

.divLoading {width: 100%; height: 100%; background: url(../images/loader.gif) no-repeat center; display: none; pointer-events: none;}
.divLoadingLt {width: 100%; height: 100%; background: url(../images/loader_white2.gif) no-repeat center;}
#divContentMenu .divLoading {position: absolute; top: 58px; left: 0px; height: 200px; display: none;}
#divHistoryLoading.divLoading {top: 121px;}

.alert {background-color: rgba(0,0,0,0.03); border: 1px solid rgba(0,0,0,0.04);}
.alert-dismissible .close {padding-top: 0px; padding-bottom: 0px; line-height: 42px;}
.close {cursor: pointer;}
.smtext {font-size: 10px;}
.fadedtext {color: rgba(255,255,255,0.7);}
.chkPullData.fadedtext:hover {color: rgba(0,0,0,0.3);}
.chkPullData.fa {font-size: 20px;}
.linkCopy {cursor: pointer;}


.sort:before {font-family: FontAwesome; font-size: 24px; position: absolute; top: 6px; right: 12px; content: ' '; color: rgba(255,255,255,0.5);}
.sortAsc:before {content: '\f0d8';}
.sortDesc:before {content: '\f0d7';}
.sort {cursor: pointer; position: relative;}

.btnSettings, .btnGenerate, .btnEditNote, .btnDeleteNote {margin-right: 6px; cursor: pointer; margin-top: 3px;}

.modal {
	position: fixed;
	top: 0; bottom: 0; right: 0; left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	width: 100%;
	height: 100%;
	-webkit-transition: opacity 200ms ease-in;
	-moz-transition: opacity 200ms ease-in;
	transition: opacity 200ms ease-in;
	display: none;
}

.modalLoading {
	position: fixed;
	top: 90px; bottom: 100px; right: 0; left: 0;
	background: rgba(255,255,255,0.8);
	z-index: 99999;
	-webkit-transition: opacity 200ms ease-in;
	-moz-transition: opacity 200ms ease-in;
	transition: opacity 200ms ease-in;
	display: none;
	background: rgba(255,255,255,0.8) url(images/loader.gif) no-repeat center;
}

.modal > div {
	min-height: 300px;
	position: relative;
	margin: 5% auto;
	border-radius: 4px;
	background: #F2F2F2;
	border: 3px solid #545454;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.2), 1px 2px 2px rgba(0,0,0,0.2);
	outline: 0px;
	-webkit-transition: box-shadow 0.10s ease-in-out;
	-moz-transition: box-shadow 0.10s ease-in-out;
	-ms-transition: box-shadow 0.10s ease-in-out;
	-o-transition: box-shadow 0.10s ease-in-out;
}

.modal > div.loading {background: #F2F2F2 url(images/loader.gif) no-repeat center;}

#modalPopup.modal > div {min-height: 0; height: auto;}

.error {color: #dc3545; font-weight: bold;}

button.navbar-toggler:focus {outline: 1px rgba(0,0,0,0.4);}

.bg-dangerfaded {background-color: rgba(220,53,69,0.8);}
.bg-danger {background-color: rgba(220,53,69,0.9) !important;}

.bootstrap-datetimepicker-widget table td.today:before {border-bottom-color: #f58b1f; display: none;}
.bootstrap-datetimepicker-widget table td.active, .bootstrap-datetimepicker-widget table td.active:hover {background-color: #f58b1f;}
.bootstrap-datetimepicker-widget table td span.active {background-color: #f58b1f;}
.bootstrap-datetimepicker-widget .datepicker table td span {height: 34px; line-height: 34px;}
.bootstrap-datetimepicker-widget .timepicker-picker table td span:hover {background-color: transparent;}
.bootstrap-datetimepicker-widget .timepicker-picker table td:first-child {width: 50%;}
.bootstrap-datetimepicker-widget .timepicker-picker table td:nth-child(2) {width: 12px;}
.bootstrap-datetimepicker-widget .timepicker-picker table td:nth-child(3) {width: 50%;}
.bootstrap-datetimepicker-widget .timepicker-picker table td:nth-child(4) {width: 40px;}

.bootstrap-datetimepicker-widget table td, .bootstrap-datetimepicker-widget table th {border-radius: 1px;}
.bootstrap-datetimepicker-widget.dropdown-menu:before, .bootstrap-datetimepicker-widget.dropdown-menu:after {display: none;}
.bootstrap-datetimepicker-widget.dropdown-menu {margin: 0px; padding: 0px; overflow: hidden; font-size: 12px;}
.bootstrap-datetimepicker-widget.dropdown-menu .table th, .table td {border-top: 0px;}
.bootstrap-datetimepicker-widget .picker-switch {font-weight: normal; font-size: 13px;}
.bootstrap-datetimepicker-widget table thead tr:first-child th {background-color: #f58b1f; color: white;}
.bootstrap-datetimepicker-widget table thead tr:nth-child(2) th {color: #f58b1f; font-size: 8px; text-shadow: 0px .5px .5px rgb(0 0 0 / 10%); text-transform: uppercase;}
.bootstrap-datetimepicker-widget table thead tr:first-child th:hover {background-color: #e57a10;}
.bootstrap-datetimepicker-widget .timepicker-hour, .bootstrap-datetimepicker-widget .timepicker-minute, .bootstrap-datetimepicker-widget .timepicker-second {font-size: 1.8em;}
.bootstrap-datetimepicker-widget.dropdown-menu .separator {font-size: 28px; line-height: 28px; padding-bottom: 12px; width: 12px;}
.bootstrap-datetimepicker-widget .timepicker {margin: 2px;}

.alert-dismissible .close {
  padding: 0.75rem 0.75rem;
}

.sitename {font-weight: bold; padding-left: 4px; padding-right: 0px; text-align: left; position: relative;}
.sitestatus {font-weight: bold; position: absolute; left: 4px;}

.bgerror {background-color: #C50C00 !important; color: white !important; background-image: none !important;}
input.bgerror {border: 1px solid black;}
div.prepend-icon i.bgerror {color: white; background-color: rgba(0,0,0,0.2);}
div.append-icon i.bgerror {color: white; background-color: rgba(0,0,0,0.2);}
.form input.bgerror, .form textarea.bgerror{-moz-box-shadow: none; -webkit-box-shadow: none; box-shadow: none;}

@media (max-width: 576px) {
	.sitename {font-size: 12px !important; padding-top: 4px; line-height: 14px !important;}
	.sitestatus {font-size: 10px;}
}


.lastpull {line-height: 28px; margin-top: 6px;}

.thumbsdown, .thumbsup {position: relative; bottom: 2px; width: 30%; height: 100%; background-position: left bottom; background-repeat: no-repeat; background-size: contain; opacity: 0.1;}

.btn-link {color: #dc3545 !important;}
.btnClose {color: #CDCDCD; position: absolute; right: 20px; top: 4px; cursor: pointer;}
.btnClose.fa {font-size: 36px;}
.card {border: 0px;}

#btnPullData {position: fixed; bottom: 5px; left: 1%; width: 98%; z-index: 100;}

.sitemodal {
	position: absolute;
	left: 0px;
	top: 0px;
	right: 0px;
	bottom: 0px;
	background-color: rgba(240,240,240,0.5);
	display: none;
}
.sitecontent {
	position: fixed;
	left: 10%;
	right: 10%;
	top: 70px;
	bottom: 10%;
	text-align: left;
	overflow-y: scroll;
	border: 2px solid #dc3545;
	background-color: rgba(255,255,255,1);
	border-radius: 4px;
	padding: 10px;
	padding-right: 70px;
}

.dropdown-menu {
	max-height: 300px;
	overflow-y: auto;
}

.dropdown-item {
	line-height: 26px;
	border-bottom: 1px solid rgba(0,0,0,0.05);
}

.dropdown-item:last-child {
	border-bottom: 0px;
}

#listReportMonths, #listBrowseDevices, #listSearchDevices, #listDevicesHistory {
	height: 100%;
	overflow-y: scroll;
	cursor: pointer;
}
#listReportMonths .list-group-item, #listBrowseDevices .list-group-item, #listSearchDevices .list-group-item, #listDevicesHistory .list-group-item {
	padding-top: 12px;
	padding-bottom: 12px;
}


td.thead-light {color: rgba(0,0,0,0.5); background-color: #FAFAFA; text-align: right;}
#tblDeviceDetails td {border-color: #EFEFEF; text-align: left;}
#tblDeviceDetails i {margin-right: 8px;}
#tblDeviceNotes td {border-color: #EFEFEF; text-align: left;}
